class LedFlaps extends BaseInstrument {
    constructor() {
        super();
        this.trimId = -1;
    }
    get templateID() { return "LedFlaps"; }
    connectedCallback() {
        super.connectedCallback();
        this.allRects = this.querySelectorAll(".rect");
        for (var i = 0; i < this.allRects.length; i++) {
            diffAndSetAttribute(this.allRects[i], "state", "off");
        }
    }
    disconnectedCallback() {
        super.disconnectedCallback();
    }
    onInteractionEvent(_args) {
        if (this.isElectricityAvailable()) {
        }
    }
    Update() {
        super.Update();
        let trimId = -1;
        if (this.isElectricityAvailable()) {
            var trimPercent = (Simplane.getFlapsPercent());
            trimId = Math.round(trimPercent / 100 * 9);
        }
        if (trimId != this.trimId) {
            for (var i = 0; i < this.allRects.length; i++) {
                if (trimId == i)
                    diffAndSetAttribute(this.allRects[i], "state", "on");
                else
                    diffAndSetAttribute(this.allRects[i], "state", "off");
            }
            this.trimId = trimId;
        }
    }
}
registerInstrument("led-flaps-element", LedFlaps);
//# sourceMappingURL=LedFlaps.js.map
