class bagoluSAVtemperature extends BaseInstrument {
    constructor() {
        super();
        this.isFarenheit = false;
    }
    get templateID() { return "bagoluSAVtemperature"; }
    connectedCallback() {
        super.connectedCallback();
        this.textElem = this.getChildById("textZone");
        this.electricity = this.getChildById("Electricity");
    }
    disconnectedCallback() {
        super.disconnectedCallback();
    }
    onInteractionEvent(_args) {
        if (this.isElectricityAvailable()) {
            if (_args[0] == "oclock_select") {
                this.isFarenheit = !this.isFarenheit;
            }
        }
    }
    Update() {
        super.Update();
        if (this.isElectricityAvailable()) {
	    this.electricity.style.visibility = true;
            if (this.isFarenheit) {
                diffAndSetText(this.textElem, this.getATMTemperatureF());
            }
            else {
                diffAndSetText(this.textElem, this.getATMTemperatureC());
            }
        } else {
	    this.electricity.style.visibility = false;
	}
    }
    getATMTemperatureC() {
        var value = SimVar.GetSimVarValue("AMBIENT TEMPERATURE", "celsius");
        if (value) {
            var degrees = Number.parseInt(value*10)/10;
            var temperature = degrees + '' + "C";
            return temperature + '';
        }
        return "";
    }
    getATMTemperatureF() {
        var value = SimVar.GetSimVarValue("AMBIENT TEMPERATURE", "farenheit");
        if (value) {
            var degrees = Number.parseInt(value);
            var temperature = degrees + '' + "F";
            return temperature + '';
        }
        return "";
    }
}
registerInstrument("bagolusavtemperature-element", bagoluSAVtemperature);
